petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSectionGetFieldOffset

Return the offset into an array or local Vec for the dof associated with the given point.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionGetFieldOffset(PetscSection s, PetscInt point, PetscInt field, PetscInt *offset)

Not collective

### Input Parameters

| s | - the PetscSection
| point | - the point
| field | - the field

### Output Parameter

offset -the offset

### See Also

PetscSectionGetOffset(), PetscSectionCreate()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages